# -*- encoding: utf-8 -*-
# stub: duodealer_api 1.0.0 ruby lib

Gem::Specification.new do |s|
  s.name = "duodealer_api".freeze
  s.version = "1.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Eric Raio".freeze]
  s.date = "2020-02-22"
  s.description = "The Duo Dealer API gem allows Ruby developers to programmatically access the admin section of Duo Dealer stores. The API is implemented as JSON or XML over HTTP using all four verbs (GET/POST/PUT/DELETE). Each resource, like Order, Product, or Collection, has its own URL and is manipulated in isolation.".freeze
  s.email = "careers@duodealer.com".freeze
  s.homepage = "http://www.duodealer.com/partners/apps".freeze
  s.licenses = ["MIT".freeze]
  s.rdoc_options = ["--charset=UTF-8".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.4".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "DuodealerAPI is a lightweight gem for accessing the Duo Dealer admin GraphQL web services".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<railties>.freeze, ["~> 6.0.2.1"])
    s.add_runtime_dependency(%q<activeresource>.freeze, [">= 4.1.0", "< 6.0.0"])
    s.add_runtime_dependency(%q<rack>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<graphql-client>.freeze, [">= 0"])
    s.add_development_dependency(%q<mocha>.freeze, [">= 0.9.8"])
    s.add_development_dependency(%q<webmock>.freeze, [">= 0"])
    s.add_development_dependency(%q<minitest>.freeze, [">= 4.0"])
    s.add_development_dependency(%q<rake>.freeze, [">= 0"])
    s.add_development_dependency(%q<timecop>.freeze, [">= 0"])
    s.add_development_dependency(%q<rubocop>.freeze, [">= 0"])
    s.add_development_dependency(%q<pry>.freeze, [">= 0"])
    s.add_development_dependency(%q<pry-byebug>.freeze, [">= 0"])
  else
    s.add_dependency(%q<railties>.freeze, ["~> 6.0.2.1"])
    s.add_dependency(%q<activeresource>.freeze, [">= 4.1.0", "< 6.0.0"])
    s.add_dependency(%q<rack>.freeze, [">= 0"])
    s.add_dependency(%q<graphql-client>.freeze, [">= 0"])
    s.add_dependency(%q<mocha>.freeze, [">= 0.9.8"])
    s.add_dependency(%q<webmock>.freeze, [">= 0"])
    s.add_dependency(%q<minitest>.freeze, [">= 4.0"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<timecop>.freeze, [">= 0"])
    s.add_dependency(%q<rubocop>.freeze, [">= 0"])
    s.add_dependency(%q<pry>.freeze, [">= 0"])
    s.add_dependency(%q<pry-byebug>.freeze, [">= 0"])
  end
end
